Package org.eclipse.birt.report.model.api.oda

# Class OdaAggregationHelper

java.lang.Object
org.eclipse.birt.report.model.api.oda.OdaAggregationHelperImpl
org.eclipse.birt.report.model.api.oda.OdaAggregationHelper

public class OdaAggregationHelper extends OdaAggregationHelperImpl

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.oda.OdaAggregationHelperImpl

`birtAggregationDefinitions, birtPredefinedAggregationConstants`

## Constructor Summary

Constructors
Constructor
Description
`OdaAggregationHelper()`

## Method Summary

Modifier and Type
Method
Description
`static List<IAggregationDefn>`
`getAggregationDefinitions(String dataSetExtId, String dataSourceExtId)`
`static IAggregationDefn`
`getAggregationDefn(String birtAggregationId, String datasetExtId, String datasourceExtId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OdaAggregationHelper

public OdaAggregationHelper()

## Method Details

### getAggregationDefinitions

public static List<IAggregationDefn> getAggregationDefinitions(String dataSetExtId, String dataSourceExtId)

### getAggregationDefn

public static IAggregationDefn getAggregationDefn(String birtAggregationId, String datasetExtId, String datasourceExtId)